2005-03-14  Joel Ray Holveck  <joelh@piquan.org>

	* SantaCruz.inf (feather.describe): Fix punctuation

	* walkcmds.txt: New file.

	* walkthru.txt: Update to release 1

	* SantaCruz.inf (feather):
	Change initial to a describe, so that the feather darts
	around after it's been taken

	* menus.inf:
	Prepare for release: credit beta testers, and remove beta copyright

	* Sunnyvale.inf: Clarify a few descriptions

	* Ralph.inf (ralph.ralph_thinks): Typo Amtrack->Amtrak

	* Flibnaub.inf (Release): Update to 1

	(ident): New verb

2005-02-15  Joel Ray Holveck  <joelh@piquan.org>

	* Sunnyvale.inf (sunnyvale.ralph_thinks):
	Make sense when we're not there.

	(tire): Use ask_in_scope instead of moved

	* Sausalito.inf (bridge): Add ralph_thinks

	(sausalito): Add ralph_thinks and curator_thinks

	(galleries_visited): New variable
	(Gallery): Occasionally, print "You are in a maze of twisty little art
	galleries, all alike." as the description.  Do this when we enter the
	fourth one, and randomly thereafter.

	(Gallery): Add a cant_go

	(helicopter): Improve description handlers, dealing with describe,
	enterable, etc.

	(yoke): Oops, this wasn't previously takeable!

	(carla): Change the initial to a describe, and use ask_in_scope
	instead of with moved. Otherwise, OBJECTS gives a spoiler.

	* SantaCruz.inf (rainbow):
	It's valid for conversation if we've been to any of its
	found_in places.

	(rain): Don't conceal the rain; just give it an empty describe
	property.  Otherwise, it's not in TAKE ALL.

	(feather): Improve Drop handler's message, and make it a scored task.

	* SF_financial.inf (financial):
	Make ralph_thinks relevant even if we're not there

	(cop): Don't give him moved; use the new ask_in_scope

	(cop): Handle attacking him, and conversation scope.

	(pyramid): Always in scope for conversation

	* SF_Pier39.inf (alcatraz):
	Give a ralph_thinks that talks about where it is, and a
	curator_thinks.

	Give the Morris escape a guide topic of its own, and go into more
	detail.

	(guide): Give some more conversation topics

	(escape_hole): Add 'vent' synonym.

	(escape_hole): Remove debugging messages

	(map_scrap): Add clues synonym, and a curator_thinks

	* SF_GGP.inf (museum): Always in scope for conversation

	(museum.ralph_thinks): Clarify location, just in case

	(skeleton.ralph_thinks): Give Ralph a sensible response if the
	dinosaur has collapsed.

	(curator): Add some topics of conversation

	(calling_card): Add clues synonym

	* SF_CliffHouse.inf (cliff.ralph_thinks, cliff_house_front.ralph_thinks, cliff_house.ralph_thinks):
	Make relevant while elsewhere

	(cliff_house_front.curator_thinks, cliff_house.curator_thinks,
	mechanical_museum.ralph_thinks): Add; they all redirect to the same
	message.

	(hostess): Move allows_bathroom manipulation to a subroutine, so it
	can have multiple solutions.  Right now, the only alternate solution
	is to ask her about the Musee.

	(hostess): Add ASK handlers for the photograph and gun.

	(hostess): Add SHOW handler.

	(bathroom_referent): Use the new ask_in_scope instead of moved.

	(mechanical_museum): Always in scope for conversation.  If we haven't
	been there, Ralph says where it is.  The curator now has a response,
	and always knows where it is.

	(photograph): Add clues synonym

	* Ralph.inf (seen_in_scope, put_tree_in_scope):
	Honor the new ask_in_scope
	property to allow us some more flexibility about what's in scope.
	Now, we can have objects compute whether they should be in scope (for
	conversation), always be in scope without setting MOVED, and a few
	other things.

	(seen_in_scope): Rename to all_ask_in_scope; all references changed.

	(ralph): Always in scope.

	* Peninsula.inf (peninsula.ralph_thinks): Make relevant while elsewhere

	* PaloAlto.inf (case_note): Add 'thefts', 'theft' synonyms

	(case_note): Remove moved, and set ask_in_scope = 1 to do the same
	thing without disrupting OBJECTS

	* Monterey.inf (monterey.ralph_thinks): Make it relevant anywhere

	(tank, ladder): Set ask_in_scope appropriately

	* Flibnaub.inf: Always use -r, even if not -D

	(NUMBER_TASKS, task_scores, PrintTaskName): Add a new task for
	creating a bird

	(Street.ask_in_scope): Default to always in scope for conversational
	purposes.

	(ChooseObjects): New routine: don't include Ralph in "all".

	(WinningSub): Return false if the mission is still viable.

	(xyzzy): New verb: get the player out of a lost game, if it can be
	done without disrupting the game state.  (In particular, this can't be
	done from the roof, since the helicopter is already in motion.)

	(seen_in_scope): Rename to all_ask_in_scope; all references changed.

2005-02-15  Joel Ray Holveck  <joelh@piquan.org>

	* Release: 0.050215 (Beta testers only)

	* Sunnyvale.inf (sunnyvale.ralph_thinks):
	Make sense when we're not there.

	(tire): Use ask_in_scope instead of moved

	* Sausalito.inf (bridge): Add ralph_thinks

	(sausalito): Add ralph_thinks and curator_thinks

	(galleries_visited): New variable
	(Gallery): Occasionally, print "You are in a maze of twisty little art
	galleries, all alike." as the description.  Do this when we enter the
	fourth one, and randomly thereafter.

	(Gallery): Add a cant_go

	(helicopter): Improve description handlers, dealing with describe,
	enterable, etc.

	(yoke): Oops, this wasn't previously takeable!

	(carla): Change the initial to a describe, and use ask_in_scope
	instead of with moved. Otherwise, OBJECTS gives a spoiler.

	* SantaCruz.inf (rainbow):
	It's valid for conversation if we've been to any of its
	found_in places.

	(rain): Don't conceal the rain; just give it an empty describe
	property.  Otherwise, it's not in TAKE ALL.

	(feather): Improve Drop handler's message, and make it a scored task.

	* SF_financial.inf (financial):
	Make ralph_thinks relevant even if we're not there

	(cop): Don't give him moved; use the new ask_in_scope

	(cop): Handle attacking him, and conversation scope.

	(pyramid): Always in scope for conversation

	* SF_Pier39.inf (alcatraz):
	Give a ralph_thinks that talks about where it is, and a
	curator_thinks.

	Give the Morris escape a guide topic of its own, and go into more
	detail.

	(guide): Give some more conversation topics

	(escape_hole): Add 'vent' synonym.

	(escape_hole): Remove debugging messages

	(map_scrap): Add clues synonym, and a curator_thinks

	* SF_GGP.inf (museum): Always in scope for conversation

	(museum.ralph_thinks): Clarify location, just in case

	(skeleton.ralph_thinks): Give Ralph a sensible response if the
	dinosaur has collapsed.

	(curator): Add some topics of conversation

	(calling_card): Add clues synonym

	* SF_CliffHouse.inf (cliff.ralph_thinks, cliff_house_front.ralph_thinks, cliff_house.ralph_thinks):
	Make relevant while elsewhere

	(cliff_house_front.curator_thinks, cliff_house.curator_thinks,
	mechanical_museum.ralph_thinks): Add; they all redirect to the same
	message.

	(hostess): Move allows_bathroom manipulation to a subroutine, so it
	can have multiple solutions.  Right now, the only alternate solution
	is to ask her about the Musee.

	(hostess): Add ASK handlers for the photograph and gun.

	(hostess): Add SHOW handler.

	(bathroom_referent): Use the new ask_in_scope instead of moved.

	(mechanical_museum): Always in scope for conversation.  If we haven't
	been there, Ralph says where it is.  The curator now has a response,
	and always knows where it is.

	(photograph): Add clues synonym

	* Ralph.inf (seen_in_scope, put_tree_in_scope):
	Honor the new ask_in_scope
	property to allow us some more flexibility about what's in scope.
	Now, we can have objects compute whether they should be in scope (for
	conversation), always be in scope without setting MOVED, and a few
	other things.

	(seen_in_scope): Rename to all_ask_in_scope; all references changed.

	(ralph): Always in scope.

	* Peninsula.inf (peninsula.ralph_thinks): Make relevant while elsewhere

	* PaloAlto.inf (case_note): Add 'thefts', 'theft' synonyms

	(case_note): Remove moved, and set ask_in_scope = 1 to do the same
	thing without disrupting OBJECTS

	* Monterey.inf (monterey.ralph_thinks): Make it relevant anywhere

	(tank, ladder): Set ask_in_scope appropriately

	* Flibnaub.inf: Always use -r, even if not -D

	(NUMBER_TASKS, task_scores, PrintTaskName): Add a new task for
	creating a bird

	(Street.ask_in_scope): Default to always in scope for conversational
	purposes.

	(ChooseObjects): New routine: don't include Ralph in "all".

	(WinningSub): Return false if the mission is still viable.

	(xyzzy): New verb: get the player out of a lost game, if it can be
	done without disrupting the game state.  (In particular, this can't be
	done from the roof, since the helicopter is already in motion.)

	(seen_in_scope): Rename to all_ask_in_scope; all references changed.

2005-02-13  Joel Ray Holveck  <joelh@piquan.org>

	* Release: 0.050213 (Beta testers only)

2005-02-13  Joel Ray Holveck  <joelh@piquan.org>

	* sky.inf (rainbow): Moved to SantaCruz.inf

	* SantaCruz.inf (mystery_spot.each_turn, rain.each_turn):
	New: give occasional mystery
	messages (and clues)
	(mystery_event_timer, primes, fibonacci, echoing_line,
	SelectRandomMessage, mystery_object): New stuff

	(rainbow): Move from sky.inf, and arrange it so that it's in scope in
	the appropriate places.

	* SF_financial.inf (financial):
	Add a second solution to the Chinatown puzzle: If the
	player can successfully time it so that he's holding Ralph, and Ralph
	is in something, when the player walks north, then this is a
	successful attempt to hide Ralph.

	* SF_Pier39.inf (Blanket_C): Various improvements.

	Rearrange the contents of the cells to avoid the player initially
	using PUT PILLOW UNDER BLANKET, which is an awkward introduction to
	this puzzle.

	* Flibnaub.inf: Must now be v8 in all cases.

	Add new grammars for blanket manipulation.

	* SF_Pier39.inf (Blanket_C): New class
	(blanket1, blanket2, blanket3): New objects
	(pillow1, pillow2, pillow3): Give colors so they can be distinguished
	(wooden_cot, pillow3): Put in the blankets
	(cell11a.e_to): Use the new, blanket-enabled puzzle

	* menus.inf: Update the vapor hint to suggest gravity issues

	* Sausalito.inf (Proprietor):
	The SHOW PHOTOGRAPH TO ... handler was severely broken:
	it would only work if the photo wasn't around.

	* SantaCruz.inf (Mystery_Room.before.#Attack):
	"Inertia" should be "momentum".

	(Mystery_Room.before): Add nounless handlers for the senses.

	(mystery_spot.cant_go): Only print one message.

	(vapor.initial): "emits"->"drifts"

	(feather): Give a clue on dropping it that the wetness is an inhibitor.

	* SF_Pier39.inf (tourists): Pluralize some synonyms; I'm not sure why.

	(sea_lions): Add seal/seals synonyms

	Add some new synonyms for topics

	(guide): Add 'officer' synonym

	(guide): Fix LISTEN handler... the last one was totally broken.

	(map_scrap): Add fingerprint/finger print synonyms

	* SF_GGP.inf (skeleton): Add 'dino' synonym

	* Sunnyvale.inf (machine): Add 'balancer' synonym

	(control_panel): Add TOUCH handler, and turn of switchable (for
	description).

2005-02-13  Joel Ray Holveck  <joelh@piquan.org>

	* Release: 0.050210 (Beta testers only)

2005-02-10  Joel Ray Holveck  <joelh@piquan.org>

	* menus.inf: Mention WINNING in the about screen.

	* Flibnaub.inf (winning): New verb

	* Flibnaub.inf (Street):
	Switch a parent check to find the player's presence to an
	IndirectlyContains check.

	(gun, hat): Add synonyms for parts in the desc

	(gun): Add Smell handler

	(hat): Do the hat trick anywhere in the office

	(DeathMessage): Spelling

	(exits): New verb

	* menus.inf: Change the Santa Cruz hints to fit with the new puzzle.

	* car.inf (car): Fix up some messages

	* Sunnyvale.inf (sunnyvale):
	Allow PUT TIRE ON CAR anywhere within the car

	(drunks): Add some synonyms, and only give Ralph's comment once.

	(debris): Add 'rubble' synonym

	(sunnyvale): Taco store?  Please.  Taco joint.

	(pump): 'pipe' synonym

	(control_panel): Put on the cleaner, and fix up its reactions.

	(alley): Don't mention the building, and change all mention of fire
	escapes (which the player will try to climb) to balconies.

	(balcony): New object

	(tire): Change some parent checks to IndirectlyContains

	* Sausalito.inf (bridge): Fix GO EAST blocked message

	(bridge): If Jacques or Ralph have the photo anywhere in their
	possession, it's cool.

	(Proprietor): When showing the photograph, just make sure that it's
	somewhere in inventory, not directly so.

	(helicopter): Examine should work even if the player somehow is in
	something else in the chopper.  Also, search should give a custom
	message on failure.

	(helicopter): Add Take,Push,Pull handlers

	(helicopter): Make transparent, so you can interact (somewhat) with
	Carla.

	(yoke): Reveal the tires after the take (so don't rely on MOVED to
	describe it).

	(carla): Allow a description to happen for outside the chopper, but no
	actions other than examine.  (Handlers on before and life.)

	* SantaCruz.inf (feather):
	Don't hop around if we're in midair, and clarify that it
	falls to the ground then.

	(feather): Only say "Macaroni!" if Ralph's around.

	* SF_financial.inf (financial): Clarify that Alcatraz is to the north.

	(financial): Add an in_to, and a cant_go to hide it.

	(cop): Animate.

	(Elevator_Door.door_to): See if Ralph is anywhere in the room before
	refusing.

	(lower_elevator_door): Ralph leaves if he's anywhere in the room, not
	just standing flat.  Also, he leaves anytime the elevator is
	approaching.

	(conference_room): Fix some descriptions.

	* SF_Pier39.inf (woman):
	Rename to tourist woman and add synonyms, for disambig when
	talking to people.

	* SF_GGP.inf (park): Try to reword the exits part of the description.

	(park): Add Smell handler.

	(curator): Fix newline issue on descr

	(curator): When he gives you the calling card, ask for a description
	of the perp if we haven't seen the photo.

	* SF_CliffHouse.inf (cliff):
	Set description to handle being in the car.

	Update Mechanique => Mecanique throughout.

	(cliff_house): Ralph pipes up about the bathroom even if he's being
	held.

	(hostess): Add some synonyms

	(mechanical_museum): Add Listen handler

	(cinescope): Add 'scope' as viewer, and a Receive handler.

	* Ralph.inf (ralph):
	Change a lot of parent(x)==y to IndirectlyContains(y,x).
	Most notably, this prevents the player from capturing Ralph by putting
	him in the hat.

	(ralph): Add each_turn, to safeguard against Ralph somehow entering
	the player without the timer starting.

	(ralph): Handle PUSH RALPH UP differently than PUSH RALPH NORTH

	(ralph): Copy the Attack code (which is smart) to Enter (which is
	dumb, and I forgot to update.)

	(ralph): If you ask Ralph to ask drop something that he only
	indirectly holds, he drops its parent instead.  But this code doesn't
	ever get called, AFAICT.

	* Peninsula.inf (meadow):
	Throw Ralph in the air when he digs, even if he's only
	indirectly in the player.

	* PaloAlto.inf (palo_alto): Add in_to, and the cant_go to hide it

	(bennys_entrance): Add "coffee shop" as synonyms

	(benny): Retrieve the bathroom key when Captain FATE drops it

	(counter): Fix description.

	(counter): Don't automatically give stuff to Benny when you put it on
	the counter.

	(case_note): Add 'crime' to synonyms

	(case_note): Only recommend that we talk to the curator if we haven't
	gotten the calling card.

	* Monterey.inf (monterey):
	Fix up ralph_thinks so it's not Ralph asking Jacques about
	Monterey.

	(exotic_fish): Add the fish description adjectives as synonyms

	* car.inf (car):
	Add search handler to give a customized message when the car is
	empty.

	* Sunnyvale.inf (Sunnyvale, phone): Clarify the descriptions.

	(phone): Add Tie (ie, "Fix phone") handler

	(phone): Update the description

	(pump, tire_machine, platypus_cleaner): Add gizmo/gizmos as synonyms

	* SF_GGP.inf (park): Clarify that the gardens are elsewhere.

	(grass,trees): New objects

	(dinosaur): If the curator hasn't been seen yet, mention him when the
	dinosaur collapses as a new character.

	(dinosaur): Don't print the park description

	(aquarium): Transparent.  Add Search handler.

	(curator): Grammar fix

	* SF_CliffHouse.inf (toilet): Add Flush handler

	* Peninsula.inf (meadow): Add listen handler

	(birds): New object

	* PaloAlto.inf (benny.description): Grammar fix

	(food_and_drink): New object

	* Flibnaub.inf ($MAX_OBJECTS): Bump to 700

	(hat): Handle LookUnder

	('call', CallSub): Add number handlers

	(flush): New verb

	(UseSub): Clarify

2005-02-08  Joel Ray Holveck  <joelh@piquan.org>

	* PaloAlto.inf (case_note):
	Only comment on reading the note if it hasn't happened
	before.

	* SF_financial.inf (pyramid_facade):
	Make scenery.  What was I thinking?

	* Flibnaub.inf, Monterey.inf, PaloAlto.inf, Peninsula.inf, Ralph.inf, SF_CliffHouse.inf, SF_GGP.inf, SF_Pier39.inf, SF_financial.inf, Sausalito.inf, Sunnyvale.inf, abbrevs.inf, menus.inf:
	Change "Jaques"to "Jacques"

	* SF_GGP.inf (curator.short_name): Fix extra newline

	(curator,skeleton): Arrange so that throwing Ralph at the curator
	(while in the museum only) doesn't give a clue about him being the
	client.

	* SantaCruz.inf (hole): Fix direction.

	(hole): Rename to "mystery hole", to allow disambiguation when asking
	the guard about the escape hole.
	* SF_financial.inf (pyramid_facade): Fix direction.

	* SF_Pier39.inf (guard): Mention in the description that he's talking.
	Give him something special to say about the escape hole.

	(hole): Update to pnames.

	{DOOR_DIR} (hole): Fix direction.

	* Flibnaub.inf ('dry', DrySub):
	New verb.  Defaults to the same message as Rub.

	* Peninsula.inf (meadow):
	When Ralph digs, have him mention the worms instead of
	getting one.  The new worm solution is the feather.
	(worm): Ralph's lawyer's name is Dewey.

	* SantaCruz.inf (feather): New object
	(Mystery_Room): Don't do the special blow/drop messages for the
	feather, since it has more important ones.
	(rain): Clarify that nothing gets wet here, except the feather.  Add
	handler for ##Dry.  When you take the rain, if the feather's there,
	draw the player's attention to the feather's state change.

	* Ralph.inf (ralph):
	Improve the messages for throwing Ralph up or down.

	* Sausalito.inf (helicopter): Improve message based on location

	* SantaCruz.inf (santa_cruz):
	Change 'bums' to 'slackers' for the international
	audience

	(rainy_mystery_basement): Allow the player to LOOK AT CEILING usefully

	* SF_Pier39.inf (escape_hole.door_dir): Fix to point the right way

	* Ralph.inf (ralph): Give Ralph a response about hooters

2005-02-06  Joel Ray Holveck  <joelh@piquan.org>

	* Release: 0.050206 (Beta testers only)

2005-02-06  Joel Ray Holveck  <joelh@piquan.org>

	* sky.inf (Sky): Add Jump handler

	(Sky): Don't drop the rainbow

	(rainbow): Ignore FireAt

	* abbrevs.inf (CvsId): Remove; it was throwing off the object numbering

	* Sunnyvale.inf (tire, tire_rope): Ignore FireAt

	* Sausalito.inf (art.ralph_thinks): Punctuation fix

	* SantaCruz.inf (can_shadow): Ignore FireAt

	Add some FIXME comments

	* SF_financial.inf (cop): Ignore FireAt

	(pyramid.description): Grammar fix

	* SF_Pier39.inf (musician.description): Clarify; thanks Scott!

	(son_says): Grammar fix

	* SF_GGP.inf (skeleton): Ignore FireAt

	(skeleton): Add Attack handler

	(aquarium): Make a container, and add Receive handler to prevent it
	from being used.

	(mesozoic): Spelling fix

	(skull): React to Ralph's ThrowAt, since the normal text implies that
	Ralph gets the skull.

	(skull): Add FireAt handler

	(curator.description): Punctuation fix

	* SF_CliffHouse.inf (toilet): Add Take and Use handlers

	(cliff_house_toilet.ralph_thinks): Bum code

	(sink): Add 'faucet', 'spigot' synonyms

	(sink): Add Use,SwitchOn handler

	(mechanical_museum): List exits

	(cinescope): Punctuation fix

	* Monterey.inf (aquarium):
	Fix the cant_go to not mention up unless it's been
	discovered.

	(aquarium_tank.before:Search): Grammar error

	(catwalk): Set name

	(catwalk_door): New object

	* Flibnaub.inf (CvsId):
	Move class definition to after the standard libs, since
	objects before that throw off the library.

	* Ralph.inf (ralph):
	Allow the player to ask him about his feelings. (Scott,
	during his first night of beta testing, tried to ASK RALPH ABOUT
	FEELINGS and got "Why don't you ever ask about my feelings?")

	* Flibnaub.inf (gun):
	Improve description to note that the gun is empty.

	(turne): New synonym for turn.

	(load, unload): New synonyms.

	* Sunnyvale.inf (sunnyvale.describe_just_street):
	Clarify why there's debris of the
	TV, since the player may not actually remember the intro.

	(office): Add a LOOK OUT handler, since LOOK OUT WINDOW prints "I only
	understood as far as you wanting to look out."

	* SF_CliffHouse.inf (cliff):
	Clarify the d_to: note that the player doesn't move.

	* SF_CliffHouse.inf (hostess): Ralph doesn't scurry if he's not present

	(hall): Remove the door from the description

	(cliff_house_bathroom): Improve the ralph_thinks a little, since he
	may have not actually gone to the bathroom when this message is
	encountered

	* Peninsula.inf (meadow.ralph_thinks): Generalize the message

	* Sunnyvale.inf (tire):
	Improve Ralph's response if he tries to take the tire while
	it's tied up.

	* Ralph.inf (ralph): Make Search and Examine list Ralph's inventory

	* PaloAlto.inf (palo_alto): List exits

	* SF_CliffHouse.inf (cliff_house_bathroom, bathroom_referent):
	Add 'restroom' as a synonym

	* menus.inf:
	Add in all the legalese. The license cut-n-pastes need some work.

	* Flibnaub.inf (hat):
	If the hat has run out once, explain that the hat was stunned.

2005-02-05  Joel Ray Holveck  <joelh@piquan.org>

	* Release: 0.050205 (Beta testers only)

2005-02-05  Joel Ray Holveck  <joelh@piquan.org>

	* menus.inf, SF_GGP.inf, Ralph.inf:
	Change references from "Flibnaub" to "Flat Feet"

	* Flibnaub.inf (Story): Change to "Flat Feet"

	* ChangeLog: New file.

	* menus.inf: Add copyright notice

	* car.inf (car):
	Make the Push handler reiterate the tire need, if necessary.

	(car): Fix newline on failed drive attempt

	(car): Test balance in all cases in car.fix.

	* Sunnyvale.inf (sunnyvale):
	If the player is in the car and does PUT TIRE ON CAR, do
	something sensible.

	(tire_balancing_machine): Add 'tire-balancing' synonym

	(pump, tire_balancing_machine, platypus_cleaner): Add ralph_thinks

	* Sausalito.inf (roof): Add Climb handler (for CLIMB RALPH)

	(helicopter): Only discuss the yoke if it's still attached.  Clarify
	that you're hoisting yourself into the helicopter.

	(wires): Only allow tying if the player is holding them.

	(panel): Add synonyms

	* SantaCruz.inf (mystery_spot):
	Clean up description and add LOOK UP and CLIMB
	handlers

	(phantom_light_bulb): Clarify that there's a phantom image

	* SF_financial.inf (cop): New object
	(financial): Remove the cop when he's done

	(pyramid_facade): Put in the financial district

	(lower_elevator_door): Let us go up if we got the calling card

	* SF_Pier39.inf (musician): Add SwitchOn handler.

	(cot): Add enterable, for SIT ON / LIE ON

	(mirror): Add Use and Rub (clean) handlers

	* SF_GGP.inf (skeleton):
	Remove the blatant giveaway in the description, and fix a
	spacing problem.

	(paleozoic): Clarify description

	(laser): New object.

	(curator): Add ralph_thinks.

	(calling_card): Add ralph_thinks and curator_thinks

	* SF_CliffHouse.inf (cliff_house):
	When the hostess speaks in the movement handlers, turn
	of heard_ralph so the text makes it clear who's talking.

	(bathroom): Add Smell handler.

	(toilet): Add Taste handler, and make it openable.

	(sink): Make it open.

	(photo_booth): Add 'camera' and 'swyche' (from the sign) as synonyms,
	and improve the description.

	* Ralph.inf (ralph): Add description

	(ralph): Move PutOn to an After handler, to avoid using keep_silent
	(which isn't automatically reset).

	(ralph): Add some variety to the TELL RALPH ABOUT ... responses.

	* Peninsula.inf (meadow): Remove debugging print

	* PaloAlto.inf (palo_alto): Note the direction of Benny's.

	(benny): Allow 'caller' to be a valid query. Also, reorder the Give
	order handler for clarity.

	(case_note): Add 'slip of paper' as synonyms

	* Monterey.inf (Monterey): Add a comment for going south.

	(tank): Reorder some of the comments to avoid needing to use
	keep_silent, and add a special note for putting the worm in the tank.

	(aquarium): Add a Climb hander.

	* Flibnaub.inf: Turn on debugging, and switch back to a v5 target.

	(Street): Put a newline in an appropriate place when we see Bruce.

	(DeathMessage): New routine, called by the library.

	(Help): Make a meta verb, which takes no game time.

	* Monterey.inf (tank):
	Improve Receive to handle PutOn, and fix a message.

	* Sunnyvale.inf (tire): List contents of the tire

	(tire): Only automatically fix the car for Tie if the recipient is the
	car.

	(tire): Update ##Receive to handle Ralph's new abilities to be put on
	and inserted into things.

	* Ralph.inf (ralph):
	Improve the attack system, to let Ralph actually attack some
	people even if they define an ##Attack life routine.  This is
	controlled by can_attack.

	(ralph): Make Insert and PutOn now do their own things, instead of
	just throwing Ralph around.  I fear this will be the cause of many new
	bugs.

	(ralph): Do a little more work with the success/failure and
	notheld_mode for ThrowAt's automatic Take.

	* SF_CliffHouse.inf (cliff_house):
	Add restaurant as a synonym, mostly to ask the waitress
	about it.

	(hostess): Rename: was receptionist, which sounds more office-like.

	(hostess): Improve the character by improving conversation (including
	allowing the player to ask for a reservation!), giving her the
	relevant props, etc.

	(cliff_house): Make Ralph quietly ask about the restroom, since
	otherwise mentioning his needs to the hostess would seem redundant.

	* SantaCruz.inf (can):
	Don't list the shadow until we're done with the can and its contents.

	* SantaCruz.inf, SF_GGP.inf (platform):
	Back out last commit, which was redundant.

	* SF_GGP.inf (platform): List anything on the platform

	* menus.inf: Compile fix

	Change RECEPTIONIST to HOSTESS

	* sky.inf: Do something reasonable with dropped objects

	* car.inf (car): Fix the code to determine if the player is going to a
	street.  It looks like the old code only worked by coincidence, but
	suddenly broke.  From what I can tell, the object numbers happened to
	coincide with the property numbers.  That's no longer true, probably
	from the CvsId addition.

	* Sunnyvale.inf (drunks): Add can_attack (for some of Ralph's new code)

	* Flibnaub.inf (MAX_PROP_TABLE_SIZE, MAX_OBJECTS): Increase

	(Street): Fix the code to determine if the player is going to a
	street.  It looks like the old code only worked by coincidence, but
	suddenly broke.  From what I can tell, the object numbers happened to
	coincide with the property numbers.  That's no longer true, probably
	from the CvsId addition.

	* menus.inf: Add CvsId

	Print the CVS ids in the About menu in debugging mode

	Lots of hint fixups, including a new Alcatraz section

	* Monterey.inf, PaloAlto.inf, Peninsula.inf, Ralph.inf, SF_CliffHouse.inf, SF_GGP.inf, SF_Pier39.inf, SF_financial.inf, SantaCruz.inf, Sausalito.inf, Sunnyvale.inf, abbrevs.inf, car.inf, sky.inf:
	Add CvsId objects

	* Flibnaub.inf (CvsId): New class & instance.
	(PrintCvsIds): New routine. Prints all the CVS IDs in the game.
	(Initialise): Call PrintCvsIds when making a debug build.

	* SF_Pier39.inf (rainbow.before:Attack): Add message

	* sky.inf (rainbow): Give initial, and change scenery to static.

	* SF_GGP.inf, SF_Pier39.inf, Sausalito.inf:
	Make animate objects also static, just in case.

2005-02-04  Joel Ray Holveck  <joelh@piquan.org>

	* PaloAlto.inf:
	Comments to note origin of Captain FATE stuff, and permission to use it.

	* walkthru.txt: New file.

	* Flibnaub.inf:
	Remove the hardcoded serial, particularly during beta testing.

	* menus.inf: Add a note about Ralph's color-blindness.

	Fix the credits; they don't presently compile.

	* menus.inf: Flesh out credits

	* menus.inf: Flesh out the menus from their former, stub-like state

	* PaloAlto.inf (benny, restroom_door):
	Remove some code left over from copying this
	from the IBG.

	(benny): Add handler for ASK BENNY FOR KEY

	(restroom_door): Add a sign to the door: "customer use only"

	(restroom_key): Start in Benny

	* Flibnaub.inf (MAX_PROP_TABLE_SIZE, MAX_OBJECTS):
	Set; they're needed now.  Lots of
	the objects are in the help system.  These are needed regardless of
	Z-Machine version.

	* Sausalito.inf (helicopter):
	Add react_before handler to give Ralph a special
	description.  This should probably be handled with a ralph_react
	instead.

	(carla): Alter initial to give a little more sense of movement.

	* SF_financial.inf (Elevator):
	Alter the each_turn dialog handler so it doesn't emit
	spurious lines.

	(conference_room): Add ralph_thinks, curator_thinks, and look handler
	for out_obj.

	* SF_Pier39.inf (Pillow_C): Add plural token 'pillows//p'

	* SF_GGP.inf (park):
	Give "proper" (needed for when you're on the stage)

	* SF_CliffHouse.inf (photo_booth):
	Give the photo booth a switch so that it's more clear
	how it can be used.

	* Ralph.inf (ralph): Add a stub description.

	(ralph): Add handler for RALPH, SOLVE CLUES

	* Peninsula.inf (meadow):
	Improve the Dig,DigDown handler to handle "DIG WITH RALPH"
	etc.

	* PaloAlto.inf (benny): Add 'owner' as synonym.

	(benny): Add Search handler.

	* sky.inf (Sky, over_san_francisco):
	Redo the last commit the right way.

	* Flibnaub.inf:
	Use the new abbreviations. Also some changes to the ordering of the !%
	args to make them easier to manipulate.

	* abbrevs.inf: New file.

	* sky.inf (rainbow): New object

	(over_san_francisco): Improve message when going down to explain how
	you actually get into the pyramid

	* car.inf (car.after:Receive): Change "Achieved" to new number

	* Sunnyvale.inf (window, mold, desk, telephone): Add ralph_thinks

	(telephone): Add handler for most verbs somebody might try to call
	somebody else, and make it talkable.

	(debris): Fix TV naming problem with pname


	{SCORES} (helicopter.after:Enter): Add "Achieved"
	(wires.before:Tie): Change "Achieved" to new number

	* Sausalito.inf (bridge):
	If all the clues are there, make it clearer that it's okay
	to drive across the bridge.

	(Proprietor): Add more synonyms

	(art.ralph_thinks): Cast responses to (string)

	(yoke,controls): Add Use handlers

	{SCORES} (helicopter.after:Enter): Add "Achieved"
	(wires.before:Tie): Change "Achieved" to new number

	* SantaCruz.inf (Mystery_Room):
	Add handlers for touch, taste, smell, listen

	(Mystery_Room, mystery_spot): Move ThrowAt from all rooms to just the
	Spot.

	{SCORES} (mystery_spot.u_to): Add "Achieved"

	* SF_financial.inf (financial.n_to,conference_room.after:Go):
	Add Achieved

	(financial): Improve ralph_thinks (but not by much)
	(pyramid_facade): Improve desc, add ralph_thinks
	(Pyramid): Improve description

	(Elevator.each_turn): New prop to have idle conversation while the
	elevator moves.

	(conference_room): Improve description and add an u_to

	# Remove some old FIXMEs
	* SF_Pier39.inf (woman.before:Give): Add Achieved
	(ticket1): Changed "has scored" style to "Achieved" style
	* SF_GGP.inf (skeleteon.collapse):
	Change the Achieved to the new number.
	(calling_card): Changed "has scored" style to "Achieved" style
	* SF_CliffHouse.inf (cliff_house_hall, photo_clue):
	Changed "has scored" style to
	"Achieved" style
	* Peninsula.inf (meadow.ralph_act:DigDown): Add Achieved
	* PaloAlto.inf (case_note): Change the Achieved to the new number.

	(case_note): Add some more names, since this is how we generally refer
	to the mystery.

	(outside_of_cafe, benny, case_note): Add curator_thinks
	* Monterey.inf (aquarium_tank.ralph_react:ThrowAt): Add Achieved
	* Flibnaub.inf (NUMBER_TASKS, MAX_SCORE, task_scores):
	Add scores for all
	tasks, and move scored objects in too.

	('talk', TalkSub, 'call', CallSub, 'dial', 'use'): New routines that
	usually tell the user to do something else.

	* SF_GGP.inf (calling_card, curator): Only set the calling card's place
	when the player acquires it.  In this manner, we can make the calling
	card mandatory.  Conceptually, if the player goes to Sausalito before
	getting the card, then in that game, Carla doesn't work in Sausalito.
	(Think of her as Schrodinger's Cat: if the player gets the card, she
	works in Sausalito; if not, then she works in, say, Oakland.)
	* Flibnaub.inf (Initialize): Don't initialize the place here.

	* SantaCruz.inf (Mystery_Room, Mystery_Spot):
	Move the flight stuff to only be in
	Mystery_Spot.  Also improve the flight stuff.  I'm still not sure if
	it's useful.

	Add ralph_thinks and descriptions

	* Ralph.inf (ralph):
	Improve Ralph's dialogue, mostly in the area of stock
	responses to questions/orders.

	* Flibnaub.inf, Monterey.inf, PaloAlto.inf, Peninsula.inf, Ralph.inf, SF_CliffHouse.inf, SF_GGP.inf, SF_Pier39.inf, SF_financial.inf, SantaCruz.inf, Sausalito.inf, Sunnyvale.inf, car.inf, menus.inf, sky.inf:
	Add CVS Id tags

	* .cvsignore, Flibnaub.inf, Monterey.inf, PaloAlto.inf, Peninsula.inf, Ralph.inf, SF_CliffHouse.inf, SF_GGP.inf, SF_Pier39.inf, SF_financial.inf, SantaCruz.inf, Sausalito.inf, Sunnyvale.inf, car.inf, menus.inf, sky.inf:
	New file.

